# Copyright (C) 2018-2025 by BDE ENS Paris-Saclay
# SPDX-License-Identifier: GPL-3.0-or-later

from django.urls import path

from .views import FamilyListView, FamilyDetailView, FamilyUpdateView, FamilyPictureUpdateView, FamilyAddMemberView, ChallengeListView, ChallengeDetailView, ChallengeUpdateView

app_name = 'family'
urlpatterns = [
    path('list/', FamilyListView.as_view(), name="family_list"),
    path('detail/<int:pk>/', FamilyDetailView.as_view(), name="family_detail"),
    path('update/<int:pk>/', FamilyUpdateView.as_view(), name="family_update"),
    path('update_pic/<int:pk>/', FamilyPictureUpdateView.as_view(), name="update_pic"),
    path('add_member/<int:family_pk>/', FamilyAddMemberView.as_view(), name="family_add_member"),
    path('challenge/list/', ChallengeListView.as_view(), name="challenge_list"),
    path('challenge/detail/<int:pk>/', ChallengeDetailView.as_view(), name="challenge_detail"),
    path('challenge/update/<int:pk>/', ChallengeUpdateView.as_view(), name="challenge_update"),
]
